SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001508SiT!i18npublic2011-05-09 16:382011-12-20 17:15
ReporterTomse 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionCurrent SVN 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001508: ldate doesn't seem to properly replace strings when there are special chars
DescriptionThis is both in GIT & SVN

Steps To ReproduceSet to danish language, run a report where there has been updates on a saturday or sunday.. i.e. report_incidents_daily_summary.php
Additional Informationattached is a screen shot that should say Lørdag (in sundays it displays su.ay)
TagsNo tags attached.
Attached Filespng file icon i18n-report_incidents_daily_summary.png [^] (68,262 bytes) 2011-05-09 16:38

- Relationships

-  Notes
User avatar (0003779)
ivan (administrator)
2011-05-09 16:48

I suspect this is due to ldate() using string handling functions that aren't multibyte aware. I've been replacing these in Git but it could be I missed some.
User avatar (0003790)
paulh (administrator)
2011-05-27 20:29

Can reproduce, the problem is because we do a str_replace on rd before Saturday which in danish rd translates to . so we don't replace Saturday with the danish
User avatar (0004387)
paulh (administrator)
2011-12-20 17:15

2474703 resolves this properly

- Issue History
Date Modified Username Field Change
2011-05-09 16:38 Tomse New Issue
2011-05-09 16:38 Tomse File Added: i18n-report_incidents_daily_summary.png
2011-05-09 16:48 ivan Note Added: 0003779
2011-05-09 16:48 ivan Summary ldate doesn't seem to prober replace strings when there are special chars => ldate doesn't seem to properly replace strings when there are special chars
2011-05-09 16:48 ivan Status new => acknowledged
2011-05-27 20:29 paulh Note Added: 0003790
2011-05-27 20:29 paulh Status acknowledged => confirmed
2011-06-22 08:20 ivan Assigned To => ivan
2011-06-22 08:20 ivan Status confirmed => assigned
2011-06-22 08:21 ivan Target Version => 3.90beta1
2011-06-22 08:36 Tomse Assigned To ivan => Tomse
2011-06-22 17:50 Tomse Assigned To Tomse =>
2011-06-22 17:50 Tomse Status assigned => confirmed
2011-12-20 16:31 paulh Assigned To => paulh
2011-12-20 16:31 paulh Status confirmed => assigned
2011-12-20 17:15 paulh Note Added: 0004387
2011-12-20 17:15 paulh Status assigned => resolved
2011-12-20 17:15 paulh Resolution open => fixed
2011-12-20 17:15 paulh Fixed in Version => Current GIT


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker